Skip to main content
GET
/
v1
/
webhook_deliveries
List webhook deliveries
curl --request GET \
  --url https://api.callingbox.io/v1/webhook_deliveries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "call.queued",
      "url": "<string>",
      "status": "pending",
      "attempt_count": 123,
      "manual_retry_count": 123,
      "next_attempt_at": "2023-11-07T05:31:56Z",
      "last_error": "<string>",
      "last_response_status": 123,
      "delivered_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
default:sk_live_your_api_key
required

API key starting with sk_

Query Parameters

endpoint_id
string<uuid>
call_id
string<uuid>
status
enum<string>
Available options:
pending,
delivered,
exhausted
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Deliveries

data
object[]